:root {
  --form-control-color: #d9a95e;
  --form-control-disabled: #959495;
  --main-margin: 1vw;
  --borderRadius: 8px;
  --surfaceColor: #333538; 
  --surfaceColorHover: #404246;
}

*,
*:before,
*:after {
  box-sizing: border-box;
}
body {
    background-color: #0a0a0a;
}
.header{
    text-align: center;
    font-family: 'Red Hat Display', sans-serif !important;
    font-size: 25px;
    white-space: nowrap;
    line-height: 37px;
    color: #99d9ea 
}
.container-left{
	grid-area: options;
	min-height: 400px;
	max-height: calc(100vh - calc(var(--site-header-height) + var(--site-header-margin)) - 2vmin);
	width: 100% !important;
	height: calc(100% - 40px) !important;
	max-height: auto !important;
	border: 2px solid var(--surfaceColorHover) !important;
	border-radius: var(--borderRadius) !important;
	overflow: hidden !important;
	margin-top: 20px !important;
	background: var(--surfaceColor) !important;
	backdrop-filter: blur(16px) !important;
	display: flex;
	flex-flow: column;
}
.container-right{
	overflow: auto !important;
	width: 100% !important;
	height: calc(100% - 40px) !important;
	max-height: auto !important;
	border: 2px solid var(--surfaceColorHover) !important;
	border-radius: var(--borderRadius) !important;
	overflow: hidden !important;
	margin-top: 20px !important;
	background: var(--surfaceColor) !important;
	backdrop-filter: blur(16px) !important;
	grid-area: score;
	display: flex;
	flex-flow: column;
}


.game-options{
    font-family: 'Red Hat Display', sans-serif !important;
    font-size: 25px;
    color: #99d9ea;
	flex: 1 1 100%;
	position: relative;
	display: grid;
	padding: 1em;
}
.board{
	grid-area: board;
}

.chess{
	overflow: visible;
	display: block;
	position: relative;
	height: 0;
	padding-bottom: 100%;
	width: 100%;
	white-space: nowrap;
}
.lobby{
	grid-template-rows: repeat(2, fit-content(0));
	grid-area: main;
	display: grid;
	grid-gap: 1vmin;
}
main.lobby{
	grid-template-areas: 'options board board score' !important;
	grid-template-columns: minmax(400px, 1fr) 1fr 1fr minmax(400px, 1fr) !important;
}
main{
	width: 100% !important;
}
#main-wrap {
  justify-items: center !important;
  display: grid;
  grid-template-areas: '. . main . .';
  --main-max-width: 1500px;
  grid-template-columns: var(--main-margin) 1fr minmax(auto, var(--main-max-width)) 1fr var(--main-margin);
  margin-top: var(--site-header-margin);
}
canvas{ 
    pointer-events: none;
  	border-radius: 5px;
}  
.piece{
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  cursor: pointer;
  border: 3px solid #99d9ea;
  border-radius: var(--borderRadius);
  box-sizing: border-box;
  margin: 1em;
}

.piece svg{
	transform: scale(2, 2);
}


input {
    display: none;
}
.button-container{
	align-items: center;
	justify-content: center;
	display: flex;
}
.button {
  background-color: #333538;
  display: flex;
  border: none;
  padding: 10px 22px;
  text-align: center;
  cursor: pointer;
  font-family: 'Red Hat Display', sans-serif !important;
  font-size: 19px;
  color: #99d9ea;
  margin: 0 auto;
  height: 50px;
  width: 150px;
}
.button:hover {
	font-size: 18px;
}
.stat-header{
  color: #99d9ea;
  display: flex;
  font-family: 'Red Hat Display', sans-serif !important;
  font-size: 19px;
  text-align: center;
  justify-content: center;
  margin: 0 auto;
  margin-top: 10px;
}

.piece:hover input ~ svg{
	transform: scale(1.8, 1.8)	
}
.piece input:checked ~ svg{
	opacity: 1;
}

.piece input:not(:checked) ~ svg{
	opacity: 0.3;
}
.gauge-highcharts-figure{
    margin: 0 auto;
}
.spider-highcharts-figure{
    margin: 0 auto;
}
.highchart{
    height: 280px;
}
.chart-container {
    width: 390px;
    height: 250px;
    margin: 0 auto;
}
.highcharts-container svg{
    font-family: 'Red Hat Display', sans-serif !important;
}


